#ifndef CYLINDER_H_
#define CYLINDER_H_

#include "geometrybuilder.h"

namespace Msp {
namespace GL {

class CylinderBuilder: public GeometryBuilder
{
private:
	float radius;
	float length;
	unsigned segments;

public:
	CylinderBuilder(float, float, unsigned = 16);

	using GeometryBuilder::build;
	virtual void build(PrimitiveBuilder &) const;
};

} // namespace GL
} // namespace Msp

#endif
