#ifndef MSP_GL_FRUSTUMCULLER_H_
#define MSP_GL_FRUSTUMCULLER_H_

#include "culler.h"
#include "vector.h"

namespace Msp {
namespace GL {

/**
Culls objects that are outside of the view frustum.
*/
class FrustumCuller: public Culler
{
private:
	Vector3 edges[4];

public:
	virtual void setup_pass(const Renderer &);

	virtual bool cull(const Renderer &, const Renderable &) const;
};

} // namespace GL
} // namespace Msp

#endif
